Subject: Re: bug#46952: "guix build --keep-failed" and offloading

From: Ludovic Courtès <[email-masked]>
Date: Sat, 06 Mar 2021 11:12:48 +0100

Hi,

Léo Le Bouter <[email-masked]> skribis:

> I noticed using --keep-failed implies that offloading is disabled. For
> development of GNU Guix I offload all compilation from my laptop to a
> powerful server, not having offload with --keep-failed makes it
> troublesome to debug issues.
>
> I don't know if it's easy to implement but would be nice to download
> the temporary build directory along with all dependents at the end of
> the build instead of disabling offloading.
>
> What do you think?

One could check whether the build tree can be retrieved from (guix
scripts offload); it might be inconvenient, but probably doable.

Thanks,
Ludo’.